icmap_item Struct Reference

## Data Fields

char * | key_name
icmap_value_types_t | type
size_t | value_len
char | value []

## Detailed Description

Definition at line 48 of file icmap.c.

## Field Documentation

## key_name

char* icmap_item::key_name

Definition at line 49 of file icmap.c.

Referenced by icmap_adjust_int_r(), icmap_dec_r(), icmap_delete_r(), icmap_fast_adjust_int_r(), icmap_fast_dec_r(), icmap_fast_inc_r(), icmap_get_string_r(), icmap_inc_r(), icmap_set_double_r(), icmap_set_float_r(), icmap_set_int16_r(), icmap_set_int32_r(), icmap_set_int64_r(), icmap_set_int8_r(), icmap_set_r(), icmap_set_string_r(), icmap_set_uint16_r(), icmap_set_uint32_r(), icmap_set_uint64_r(), and icmap_set_uint8_r().

## type

icmap_value_types_t icmap_item::type

Definition at line 50 of file icmap.c.

Referenced by icmap_adjust_int_r(), icmap_fast_adjust_int_r(), and icmap_iter_next().

## value

char icmap_item::value[]

Definition at line 52 of file icmap.c.

Referenced by icmap_adjust_int_r(), and icmap_fast_adjust_int_r().

## value_len

size_t icmap_item::value_len

Definition at line 51 of file icmap.c.

Referenced by icmap_iter_next().

The documentation for this struct was generated from the following file:

- icmap.c